SoSelection.h(3)

NAME
SoSelection.h

SYNOPSIS

#include <Inventor/nodes/SoSubNode.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/fields/SoSFEnum.h>
#include <Inventor/lists/SoPathList.h>

  Classes
class SoSelection
The SoSelection class manages a list of selected nodes.

  Typedefs
typedef void SoSelectionPathCB(void *data, SoPath *path)
typedef void SoSelectionClassCB(void *data, SoSelection *sel)
typedef SoPath * SoSelectionPickCB(void *data, const SoPickedPoint *pick)

Typedef Documentation

  SoPath * SoSelectionPickCB
Callback functions for the SoSelection::setPickFilterCallbacksetPassCallback() method need to be of this type.

See documentation of that method for more information.

Author

Generated automatically by Doxygen for Coin from the source code.